const express = require("express");
const routes = express.Router();
const adminRoutes = require("./admin.routes");
const userRoutes = require("./user.routes");
const vendedorRoutes = require("./vendedor.routes")
const funcionarioRoutes = require("./funcionario.routes");
const auth = require("../config/auth/auth");


const UsersController = require("../controller/usuarios.controller");
const usersController = new UsersController();

const DistribuidoresController = require("../controller/distribuidores.controller");
const distribuidoresController = new DistribuidoresController();


const ProdutosController = require("../controller/produtos.controller");
const produtosController = new ProdutosController();



/** Endpoints de operações com o usuarios */
routes.post("/login", usersController.login());
routes.patch("/logout", usersController.logout());
routes.post("/register",  usersController.register());

routes.post("/soap",  usersController.createClient());
routes.post("/getParceiro",  usersController.getParceiro());
routes.post("/getPrecos",  usersController.getPrecos());
routes.post("/saveAllOrders", usersController.saveAllOrders());
routes.post("/getProdutos", usersController.getProdutos())


routes.post("/produtoUltra", usersController.ultra());






routes.post("/recover", usersController.recover());


routes.get("/distribuidores", distribuidoresController.list())
routes.post("/distribuidores", distribuidoresController.register())
routes.patch("/distribuidores", distribuidoresController.update())
routes.delete("/distribuidores", distribuidoresController.delete())



routes.use("/vendedor", vendedorRoutes);
routes.use("/admin", adminRoutes);
routes.use("/user", userRoutes);
routes.use("/func", funcionarioRoutes)

module.exports = routes;
