const axios = require('axios');
const soapUrl = 'http://187.45.62.58:85/WSULTRA.ASMX';
const soapAction = 'http://www.ultrasistemas.com.br/TesteConexao';
const soapEnvelope = `
  <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
  xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
    <soap12:Body>
      <TesteConexao xmlns="http://www.ultrasistemas.com.br/">
        <codigo>10156</codigo>
        <senha>1234</senha>
      </TesteConexao>
    </soap12:Body>
  </soap12:Envelope>
`;

async function testSoap() {
  try {
    const response = await axios.post(soapUrl, soapEnvelope, {
      headers: {
        'Content-Type': 'application/soap+xml; charset=utf-8',
        'Content-Length': soapEnvelope.length,
        'SOAPAction': soapAction, // SOAP Action obrigatório
      },
    });

    console.log('SOAP Response:', response.data);
  } catch (error) {
    console.error('Erro ao testar SOAP:', error.message);
    if (error.response) {
      console.error('Resposta do servidor:', error.response.data);
    }
  }
}

module.exports = {
    

};
